def maximum(L,debut,fin):
    if debut == fin:
        return L[debut]
    milieu = (debut + fin) // 2
    x = maximum(L , debut , milieu)
    y = maximum(L , milieu + 1 , fin)
    return x if x > y else y
